/* -*- mode: c++; indent-tabs-mode: nil; -*-
 *
 * This file is part of the Mango recipe management distribution.
 * Copyright (c) 2002, Roland Jesse
 * All rights reserved.
 *
 * For license and copyright information see the file COPYRIGHT or 
 * <http://www.opensource.org/licenses/bsd-license.html>.
 *
 * $Id: AdvancedSearchForm.ui.h,v 1.4 2002/12/29 18:09:24 rjesse Exp $
 */

void 
AdvancedSearchForm::init()
{
   setMDICaption( caption());
   comboCookbook->insertItem( tr( "All"));
   QStringList cbNames = Repository::getInstance()->getCookbookNames();
   comboCookbook->insertStringList( cbNames);
   comboCookbook->setCurrentText( tr( "All"));
}

void
AdvancedSearchForm::slotGo()
{
    busy->start();
    // FIXME: complete

    busy->stop();
    if (checkClose) close();
}
